Bug 811384

Summary: spicec - Warning: palette id 7484, not found
Product: [Fedora] Fedora Reporter: Tom Horsley <horsley1953>
Component: spiceAssignee: Hans de Goede <hdegoede>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: alevy, alexl, cfergeau, hdegoede, jforbes, kraxel, marcandre.lureau
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:30:51 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom Horsley 2012-04-10 17:11:13 EDT
Description of problem:

Run H&R Block Tax Cut inside a Windows XP virtual machine configured with
spice and qxl. Run the stand alone spice client to talk to it:

zooty> spicec --title winxppro' - SPICEc:%d' -h localhost -p 5900

Start a new return and navigate through the pages till you finally get to
input a W-2 form, and use the "Import W-2" feature that tries to lookup
your employer ID to find your W-2 form.

If you click on the "Search" button after typing in the ID, the spicec
program exits immediately, printing this to the terminal where I ran the
above command:

Warning: palette id 7484, not found

Version-Release number of selected component (if applicable):
spice-client-0.10.1-1.fc16.x86_64


How reproducible:
Seems to be every time.


Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
Window disappears

Expected results:
Keep going after mouse click

Additional info:

There must be some code base difference between spicec and the viewer window you can bring up via virt-manager. If I use the viewer from virt-manager, I can click the button and everything hums along normally (but I hate bringing up virt-manager with all the screen space it takes as well as the menu bars on the viewer window, which is why I like the stand alone spicec client).
Comment 1 Hans de Goede 2012-04-11 03:22:46 EDT
spicec uses its own older Xlib based code, where as all the other spice clients use the new spice-gtk Gtk based widget. So spicec is more or less deprecated. Our new preferred client is remote-viewer (part of the virt-viewer package).  Thus the chances of us fixing this bug are small (since we're focussing on spice-gtk and remote-viewer which don't seem to have this issue).

If you want to help us make spice better, it would probably be best if you could use / try remote-viewer and if there are parts of it you don't like, let us know. I'm afraid that the virt-viewer version in Fedora-16 is a bit old though, so to test remote-viewer you would need to upgrade your client machine to F-17 (which will be released as beta soon and already is quite stable), Alternatively you could try installing the F-17 virt-viewer package on F-16, you can find it here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=306066

I think all the needed deps are in F-16, but I'm not 100% sure!

Once you've virt-viewer installed, you can connect to a spice vm like this:

remote-viewer spice://localhost:5900
Comment 2 Tom Horsley 2012-04-11 04:41:08 EDT
I'll probably be testing my virtual machines in my f17 partition one of these days, so I can try out remote-viewer there. I'll just mention my two possible concerns:

1. Can I see the virtual machine name in the title bar by default? If not, can I provide a command line option on startup with the virtual machine name so it can go in the title bar (if I have multiple virtual machine viewers, I'd like to be able to easily tell which is which).

2. Can I see the window with just the window manager border around it and no menu bars and/or toolbars? My virtual windows don't fit in my physical display without scrolling when extra menu bars are taking up space. (Also note that this is not the same as a "full screen" mode since my virtual machine displays aren't full screen size, this would just be an "uncluttered" mode :-).
Comment 3 Hans de Goede 2012-04-11 05:14:10 EDT
(In reply to comment #2)
> I'll probably be testing my virtual machines in my f17 partition one of these
> days, so I can try out remote-viewer there. I'll just mention my two possible
> concerns:
> 
> 1. Can I see the virtual machine name in the title bar by default?

There are 3 scenarios here:
1) You connect to a virt-manager managed vm, in this case you can use virt-viewer itself instead of remote-viewer, ie:  virt-viewer --connect qemu:///system Fedora-14-i386
Then the virt-manager domain-name, ie: "Fedora-14-i386" will be in the title bar
2) You connectdirectly  to a vm using remote-viewer, then there are 2 scenarios:
2.1) Currently the url you passed on the cmdline will be in the title window
2.2) We are working on a spice protocol extension where you can pass a string describing the vm to qemu when starting the vm, and if this is used then this string will get displayed in the title bar

> 2. Can I see the window with just the window manager border around it and no
> menu bars and/or toolbars? My virtual windows don't fit in my physical display
> without scrolling when extra menu bars are taking up space. (Also note that
> this is not the same as a "full screen" mode since my virtual machine displays
> aren't full screen size, this would just be an "uncluttered" mode :-).

Currently there always is a pulldown menu with "File View Send Key Help" in there, I think it makes sense to add a checkbox to the view menu to show / hide the menu, can you please file an RFE bug for this? Product Fedora component virt-viewer, and please add me to the CC.

Regards,

Hans
Comment 4 Fedora Admin XMLRPC Client 2012-10-15 02:13:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2013-01-16 08:39:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 09:30:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.